Skip to content

Get current-user AttentionSignal summary.

GET
/api/workspace/attention-signals/summary
curl --request GET \
--url https://example.com/api/workspace/attention-signals/summary \
--header 'Authorization: Bearer <token>'
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

OK

Media typeapplication/json
object
Data

Current user’s AttentionSignal summary.

object
VisibleCount
integer format: int32
SnoozedCount
integer format: int32
VisibleCounts

Visible, currently authorized active signals grouped by producer and severity; excludes personal archive and snooze.

Array<object>
nullable

One nonempty producer/severity group in the current user’s visible signal summary.

object
ProducerModuleKey

Stable producer module key.

string
nullable
Severity
integer format: int32
Allowed values: 0 1 2 3
Count

Number of visible signals in this group.

integer format: int32
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"VisibleCounts": [
{
"Severity": 0
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Bad Request

Media typeapplication/json
object
Data

Current user’s AttentionSignal summary.

object
VisibleCount
integer format: int32
SnoozedCount
integer format: int32
VisibleCounts

Visible, currently authorized active signals grouped by producer and severity; excludes personal archive and snooze.

Array<object>
nullable

One nonempty producer/severity group in the current user’s visible signal summary.

object
ProducerModuleKey

Stable producer module key.

string
nullable
Severity
integer format: int32
Allowed values: 0 1 2 3
Count

Number of visible signals in this group.

integer format: int32
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"VisibleCounts": [
{
"Severity": 0
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Forbidden

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}